curl -X DELETE "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/assets/1711843260000-report.pdf" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "asset",
"data": {
"deleted": true
}
}
Assets
Delete Asset
Permanently deletes a file from board storage.
DELETE
/
v1
/
boards
/
{boardId}
/
assets
/
{id}
curl -X DELETE "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/assets/1711843260000-report.pdf" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "asset",
"data": {
"deleted": true
}
}
This permanently removes the file from storage. Use the asset
id returned by
upload or list; it is the storage filename, for example
1711843260000-report.pdf. This action is irreversible.
curl -X DELETE "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/assets/1711843260000-report.pdf" \
-H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
{
"object": "asset",
"data": {
"deleted": true
}
}